Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface StringFilterType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterType, org.eclipse.emf.common.notify.Notifier, SimpleFilterType

All Known Implementing Classes:
  StringFilterTypeImpl

    public interface StringFilterType

extends SimpleFilterType

A representation of the model object 'String Filter Type'.

The following features are supported:

- `Value`

See Also:
  `QueryPackage.getStringFilterType()`

Method Summary
`java.lang.String` | `getValue()` Returns the value of the 'Value' attribute.
`void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.SimpleFilterType
`getComparator, getDomainAttribute, isSetComparator, setComparator, setDomainAttribute, unsetComparator`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterType
`isNegate, isSetNegate, setNegate, unsetNegate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `QueryPackage.getStringFilterType_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD